#pragma once
#ifndef ShaderCodesNaive_h
#define ShaderCodesNaive_h

namespace ShaderCodesNaive
{
	#include "../CommonShaders.h"

	const std::vector<const char*> VertexShader
	{
		MULTILINE(
			#version 450\n

			in vec4 inPosition;
		),
		CameraUniforms,
		HeightfieldSampling,
		MULTILINE(
			void main()
			{
				gl_Position = viewProjectionMatrix * vec4(inPosition.xy, sampleHeightfield(inPosition.xy), 1.0);
			}
		)
	};
}

#endif